aboutsummaryrefslogtreecommitdiff
path: root/bin/jfc
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-01 17:03:36 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-01 17:03:36 +1200
commit010cdbdc0da056ec096e37e18ca730bc3aaa9c95 (patch)
treedb4c25378f57592c363fc8bdf61ec8268fa17081 /bin/jfc
parentAdd grc(1) (diff)
downloaddotfiles-010cdbdc0da056ec096e37e18ca730bc3aaa9c95.tar.gz
dotfiles-010cdbdc0da056ec096e37e18ca730bc3aaa9c95.zip
Make jfc(1) into a POSIX sh script
Diffstat (limited to 'bin/jfc')
-rwxr-xr-xbin/jfc30
1 files changed, 6 insertions, 24 deletions
diff --git a/bin/jfc b/bin/jfc
index 1068280a..be1a3b04 100755
--- a/bin/jfc
+++ b/bin/jfc
@@ -1,24 +1,6 @@
-#!/usr/bin/env bash
-
-# jfc(1) -- Just add everything to a Git repository and quietly commit with a
-# stock message
-
-# Check we have what we need
-hash git || exit
-
-# Detect changes
-if ! git diff-index --quiet HEAD ; then
- changed=1
-fi
-
-# Detect untracked files
-while read -d '' -r ; do
- untracked=1
- break
-done < <(git ls-files -z --others --exclude-standard)
-
-# If either applies, add and commit
-if ((changed || untracked)) ; then
- git add --all || exit
- git commit --message 'Committed by jfc(1)' --quiet || exit
-fi
+#!/bin/sh
+# Commit all changes to a Git repository with a stock message
+# message.
+grc || exit 0
+git add --all || exit
+git commit --message 'Committed by jfc(1)' --quiet || exit